Updates user_profile

PUT /api/v1/user/profile/{id}

Operation id: put__api_v1_user_profile_id_

Description

Updates an existing UserProfileDTO record in the user_profile table

Tags: UserProfile

Parameters

Path parameters

NameTypeRequiredDescription
idintegerYesid of existing UserProfile record

Query parameters

NameTypeRequiredDescription
tenant_idstringYestenant ID

Security

  • PhoenixToken-Authorization (apiKey)
    • PhoenixToken-Authorization

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

500 — Internal Server Error

Content type: application/json

Request body

Updated UserProfile Info

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
idintegerNo
namestringNo
valuearrayNo
{
  "type": "object",
  "properties": {
    "id": {
      "type": "integer"
    },
    "name": {
      "type": "string"
    },
    "value": {
      "type": "array",
      "items": {
        "type": "integer"
      }
    }
  }
}

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
customer_idintegerNo
idintegerNo
namestringNo
valuearrayNo
{
  "type": "object",
  "properties": {
    "customer_id": {
      "type": "integer"
    },
    "id": {
      "type": "integer"
    },
    "name": {
      "type": "string"
    },
    "value": {
      "type": "array",
      "items": {
        "type": "integer"
      }
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}